Subject: Re: [bug#47905] gnu: Add rasdaemon.

From: [email-masked]
Date: Tue, 20 Apr 2021 15:18:19 +0900

Leo Famulari <[email-masked]> wrote:
> On Tue, Apr 20, 2021 at 01:24:37PM +0900, elaexuotee--- via Guix-patches via wrote:
> > * doc/guix.texi (Linux Services): Document it.
> 
> It could be added to Monitoring Services instead. Although, RAS is
> Linux-only, so I leave that decision up to you.

Hrm.  Monitoring Services does make sense.  Kind of a tough call.  Will
give it more thought but probably keep in Linux since anyone wanting this
service probably knows exactly what they are looking for.

> It would be nice to link to some upstream documentation of RAS, as we do
> for the documentation of the Zram Device Service.
> 
> I think it could also be improved with addition of one or two sentences
> about how to make use of the service. As logging appears to be disabled
> by default, how are users expected to learn of the events monitored by
> rasdaemon?
> 
> After writing that, I looked at rasdaemon-shepherd-service and see that
> it keeps a log file. Is that the same data as the optional SQLite
> database, but unstructured?
> 
> Overall, the docs should clarify this :)

Agreed.  My documentation was lazy.  Will improve.  Thanks for the specific
pointers.

About the sqlite db, I honestly don't know much about how it compares to the
logs.  From a cursory glance at the code it looks basically like what you said,
a structured rendering of the logs.  Will make some kind of note about this.

Speaking of, the log output looks like "rasdaemon: <message>", so it's probably
just as good to put this in the syslog rather than a dedicated file.  How can
one do that?